/* ===evalBp.c===
 * 
 * evaluates B(x',y) from hep-ph/0501132
 *
 * takes the following arguments
 *
 *   x, y squared masses
 *   s momentum squared
 *   qq renormalisation scale squared
 *
 * prints the value of B(x',y) to stdout
 *
 */

#include <stdio.h>
#include "tsil.h"

long double strtold( const char *, char** );

int main( int argc, char *argv[] )
{
/*   TSIL_DATA foo;                                                  */
  TSIL_REAL x, y;
/*   TSIL_REAL z, u, v;                                              */
  TSIL_REAL s, qq;
  TSIL_COMPLEX Bpxy;
  if( argc != 5 )
    TSIL_Error( "EvalBp", "Need 4 arguments: m1^2, m2^2, s, mu^2", 1);

  x = (TSIL_REAL) strtold( argv[1], (char **) NULL );
  y = (TSIL_REAL) strtold( argv[2], (char **) NULL );

/*   z = (TSIL_REAL) 0;                                              */
/*   u = (TSIL_REAL) 0;                                              */
/*   v = (TSIL_REAL) 0;                                              */

  s = (TSIL_REAL) strtold( argv[3], (char **) NULL );
  qq = (TSIL_REAL) strtold( argv[4], (char **) NULL );

/*   TSIL_SetParameters( &foo, x, y, z, u, v, qq );                  */
/*   TSIL_Evaluate( &foo, s );                                       */

/*   TSIL_PrintDataM ( &foo );                                       */

  Bpxy = TSIL_Bp( x, y, s, qq );

  printf( "%lf + %lf I\n", (double) creal(Bpxy), cimag(Bpxy) );

  return 0;
}
